# COROSYNC-CFGTOOL

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
SEE ALSO
AUTHOR

## NAME

corosync-cfgtool − An administrative tool for corosync.

## SYNOPSIS

corosync−cfgtool [[−i IP_address] [−b] −s] [−R] [−L] [−k nodeid] [−a nodeid] [−h] [−H]

## DESCRIPTION

corosync−cfgtool A tool for displaying and configuring active parameters within corosync.

## OPTIONS

| -i |  | Finds only information about the specified interface IP address or link id with -s.
| -s |  | Displays the status of the current links on this node for UDP/UDPU, with extended status for KNET. After each link, the nodes on that link are displayed in order with their status, for example there are 3 nodes with KNET transportation: LINK ID 0:

id = 192.168.100.80
status:
node 0: link enabled: 1 link connected: 1
node 1: link enabled: 1 link connected: 1
node 2: link enabled: 1 link connected: 1

-b

Displays the brief status of the current links on this node (KNET only) when used with "-s". If any interfaces are faulty, 1 is returned by the binary. If all interfaces are active 0 is returned to the shell. After each link, the nodes on that link are displayed in order with their status encoded into a single digit. 1=link enabled, 2=link connected, So a 3 in a node position indicates that the link is both enabled and connected. The local link (which will only ever be enabled on link 0) shows as enabled but not connected for internal reasons. The output will be: LINK ID 0:

id = 192.168.100.80
status = 333

| -R |  | Tell all instances of corosync in this cluster to reload corosync.conf.
| -L |  | Tell corosync to reopen all logging files. In contrast to other subcommands, nothing is displayed on terminal if call is successful.
| -k |  | Kill a node identified by node id.
| -a |  | Display the IP address(es) of a node.
| -h |  | Print basic usage.
| -H |  | Shutdown corosync cleanly on this node.

## SEE ALSO

corosync_overview(7),

## AUTHOR

Angus Salkeld